.PHONY: all
all: lint test changelogs announce html data apkg docs release

.PHNY: check
check: lint test

.PHONY: test
test: test-apkg test-html

.PHONY: lint
lint: lint-node lint-html

.PHONY: fix
fix: fix-node fix-html

.PHONY: mostlyclean
mostlyclean:
	rm -f $(MOSTLY_CLEAN)
	rm -rf $(MOSTLY_CLEAN_DIRS)

.PHONY: clean
clean:
	rm -f $(MOSTLY_CLEAN) $(CLEAN)
	rm -rf $(MOSTLY_CLEAN_DIRS) $(CLEAN_DIRS)

# deleted even .venv and node_modules
.PHONY: deepclean
deepclean:
	rm -f $(MOSTLY_CLEAN) $(CLEAN)
	rm -rf $(MOSTLY_CLEAN_DIRS) $(CLEAN_DIRS) $(DEEP_CLEAN_DIRS)

.PHONY: install
install: $(APKGS)
# not running with pipenv because we explicitly want the system anki
	build/install_apkgs.py -v \
		--collection=$(HOME)/.local/share/Anki2/Main/collection.anki2 \
		$(addprefix --apkg=,$(APKGS))

.DEFAULT_GOAL := all
